#include "planets.h"

const planet Planets[9] = {
	// name, diameter, distanceSun, temperature, mass, density, gravity
	{"Sun", 1391400, 0, 5778000, 19890000, 1.408, 28.02 },
	{"Mercury", 4878, 57900.000, -1, 3.3010, 5.4, 0.38 },
	{"Venus", 12104 , 108160.000, 480, 48.673, 5.2, 0.9 },
	{"Earth", 12756, 149600.000, 14, 59.722, 5.5, 1 },
	{"Mars", 6794, 227936.640, -63, 6.4169, 3.9, 0.38 },
	{"Jupiter", 142984, 778369.000, -130, 18981, 1.3, 2.64 },
	{"Saturn", 120536, 1427034.000, -130, 5683.2, 0.7, 1.16 },
	{"Uranus", 51118, 2870658.186, -200, 868.10, 1.3, 1.11 },
	{"Neptune", 49532, 4496976.000, -200, 1024.1, 1.6, 1.21 }
};

void showInfos(unsigned int indP){
	unsigned int key;
	unsigned int scroll=0;
	unsigned short int quit=0;
	do{
		ML_clear_vram();
		black_vram();
		dispPlanet(indP);
		dispInfoPlanet(indP,scroll);
		ML_display_vram();

		GetKey(&key);
		if(key==KEY_CTRL_UP) scroll=scroll>0?scroll-1:scroll;
		else if(key==KEY_CTRL_DOWN) scroll=scroll<6?scroll+1:scroll;
		quit=(key==KEY_CTRL_EXIT || key==KEY_CTRL_MENU);

	} while(!quit);
}